function [Pcorrect] = calc_percor(errTable);
% Calculate percent correct from an error table (a confusion matrix)
%
% Copyright (c) 2016, Advanced Telecommunications Research Institute International (ATR) 
% All rights reserved. Released under the BSD license.
  
Nsamp = sum(errTable(:));
Ncor  = sum(diag(errTable));

Pcorrect = Ncor/Nsamp * 100;  % percent 

